Retrieves chargeback processing tasks for a specific bill split version
Use this endpoint to see the history of when this bill split version was processed (run through the chargeback engine).
Each task includes status, timing, bill counts, and whether bills are still being analyzed.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| accountId | Unique numeric identifier of the account | integer (int32) | Required |
| meterId | Unique numeric identifier of the meter | integer (int32) | Required |
| versionId | Unique numeric identifier of the distribution version | integer (int32) | Required |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
Array of:
ChargebackTaskVersionResponse
| Property | Description | Type | |||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| batch | BatchChild | ||||||||||||||||||||||||||||||||||
|
BatchChild properties
|
|||||||||||||||||||||||||||||||||||
| billingPeriod | The billing period the task was run for | integer (int32) | |||||||||||||||||||||||||||||||||
| chargebackType | The chargeback type. Either “Split” or “Calculation” | string | |||||||||||||||||||||||||||||||||
| comment | User comments on the task | string | |||||||||||||||||||||||||||||||||
| destinationBillIds | The billids of all the destination bills created by this version within the task | integer[] | |||||||||||||||||||||||||||||||||
| errorMessage | Error that may have occurred when running this version within the task | string | |||||||||||||||||||||||||||||||||
| numberOfAnalyzingBills | The number of bills that are currently analyzing within the task | integer (int32) | |||||||||||||||||||||||||||||||||
| numberOfBillsCreated | The number of bills created for this version within the task | integer (int32) | |||||||||||||||||||||||||||||||||
| numberOfUnresolvedFlags | The number of unresolved flags on bills within the task | integer (int32) | |||||||||||||||||||||||||||||||||
| reversedBy | UserChild | ||||||||||||||||||||||||||||||||||
|
UserChild properties
|
|||||||||||||||||||||||||||||||||||
| reversedDate | The date when all bills generated by the task were voided or deleted | string (date-time) | |||||||||||||||||||||||||||||||||
| settings | The task’s settings | object | |||||||||||||||||||||||||||||||||
| sourceBillId | If this was a bill split task, then ID of the bill that was split by this version within the task | integer (int32) | |||||||||||||||||||||||||||||||||
| status | Current status of the task | string | |||||||||||||||||||||||||||||||||
| taskBegin | Begin date when the task started | string (date-time) | |||||||||||||||||||||||||||||||||
| taskEnd | End date when the task ended | string (date-time) | |||||||||||||||||||||||||||||||||
| taskId | Identifier for the task | integer (int32) | |||||||||||||||||||||||||||||||||
| user | UserChild | ||||||||||||||||||||||||||||||||||
|
UserChild properties
|
|||||||||||||||||||||||||||||||||||
| versionId | The specific version id within the task we are reporting on | integer (int32) | |||||||||||||||||||||||||||||||||
| workflow | ChargebackWorkflowStepChild | ||||||||||||||||||||||||||||||||||
|
ChargebackWorkflowStepChild properties
|
|||||||||||||||||||||||||||||||||||
Example Response
[
{ "batch": { "batchCode": "string", "batchId": 1
}, "billingPeriod": 1, "chargebackType": "string", "comment": "string", "destinationBillIds": [
1
], "errorMessage": "string", "numberOfAnalyzingBills": 1, "numberOfBillsCreated": 1, "numberOfUnresolvedFlags": 1, "reversedBy": { "fullName": "string", "userCode": "string", "userId": 1
}, "reversedDate": "2026-06-29", "settings": {}, "sourceBillId": 1, "status": "string", "taskBegin": "2026-06-29", "taskEnd": "2026-06-29", "taskId": 1, "user": { "fullName": "string", "userCode": "string", "userId": 1
}, "versionId": 1, "workflow": { "chargebackWorkflow": {}, "chargebackWorkflowStepDescription": "string", "chargebackWorkflowStepId": 1, "chargebackWorkflowStepInfo": "string", "chargebackWorkflowStepOrder": 1, "chargebackWorkflowStepType": "string"
}
}
]
404
Not Found
The requested resource was not found. Verify the ID or path is correct.